
// AnimBeam.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th


public class AnimBeam extends Thread
{
  private LaserShot shot;

  public AnimBeam(LaserShot ls)
  { shot = ls;
  } // konec metody: AnimBeam()


  public void run()
  {  shot.moveBeam();  }
 
} // konec třídy: AnimBeam class
